Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Class OFFontLoader

    java.lang.Object
      org.apache.fop.fonts.FontLoader
          org.apache.fop.fonts.truetype.OFFontLoader

    public class OFFontLoader

extends FontLoader

Loads a TrueType font into memory directly from the original font file.

Field Summary

Fields inherited from class org.apache.fop.fonts.FontLoader
`embedded, fontFileURI, loaded, log, resourceResolver, returnFont, useAdvanced, useKerning`

Constructor Summary
`OFFontLoader(java.net.URI fontFileURI, InternalResourceResolver resourceResolver)` Default constructor
`OFFontLoader(java.net.URI fontFileURI, java.lang.String subFontName, boolean embedded, EmbeddingMode embeddingMode, EncodingMode encodingMode, boolean useKerning, boolean useAdvanced, InternalResourceResolver resolver, boolean simulateStyle, boolean embedAsType1)` Additional constructor for TrueType Collections.

Method Summary
`protected void` | `read()` Reads/parses the font data.
`static java.lang.String` | `readHeader(FontFileReader fontFile)`

Methods inherited from class org.apache.fop.fonts.FontLoader
`getFont, loadFont`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OFFontLoader

    public OFFontLoader(java.net.URI fontFileURI,
                        InternalResourceResolver resourceResolver)

  Default constructor

  Parameters:
    `fontFileURI` - the URI representing the font file
    `resourceResolver` - the resource resolver for font URI resolution

### OFFontLoader

    public OFFontLoader(java.net.URI fontFileURI,
                        java.lang.String subFontName,
                        boolean embedded,
                        EmbeddingMode embeddingMode,
                        EncodingMode encodingMode,
                        boolean useKerning,
                        boolean useAdvanced,
                        InternalResourceResolver resolver,
                        boolean simulateStyle,
                        boolean embedAsType1)

  Additional constructor for TrueType Collections.

  Parameters:
    `fontFileURI` - the URI representing the font file
    `subFontName` - the sub-fontname of a font in a TrueType Collection (or null for normal TrueType fonts)
    `embedded` - indicates whether the font is embedded or referenced
    `embeddingMode` - the embedding mode of the font
    `encodingMode` - the requested encoding mode
    `useKerning` - true to enable loading kerning info if available, false to disable
    `useAdvanced` - true to enable loading advanced info if available, false to disable
    `resolver` - the FontResolver for font URI resolution
    `simulateStyle` - Determines whether to simulate font styles if a font does not support those by default.

Method Detail

### read

    protected void read()
                 throws java.io.IOException

  Reads/parses the font data.

  Specified by:
    `read` in class `FontLoader`
  Throws:
    `java.io.IOException` - In case of an I/O error

### readHeader

    public static java.lang.String readHeader(FontFileReader fontFile)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.